
FreeNAS - Bug #39453

Add API to display plugin version number for Installed Plugins

07/24/2018 01:37 PM - Erin Clark

Status: Done   

Priority: No priority   

Assignee: Brandon Schneider   

Category: Middleware   

Target version: 11.2-BETA3   

Seen in: Master - FreeNAS Nightlies Needs Merging: No

Severity: Low Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

Fixing description. According to the UI team, the API currently provides version number for Available Plugins. Since the new UI also

needs to display the version number of Installed Plugins (for feature parity), an API piece is needed to display version number for

Installed Plugins.

Related issues:

Blocks FreeNAS - Bug #39448: Display version numbers for Installed Plugins in... Done

Associated revisions

Revision 59b9fbf3 - 08/16/2018 10:57 PM - Brandon Schneider

feat(plugins/list_local_version): Return an array like remote plugin listing

Ticket: #39453

Revision ccabb85b - 08/17/2018 06:19 AM - Brandon Schneider

tkt-39453: feat(plugins/list_local_version): Return an array like remote plugin listing (#1699)

feat(plugins/list_local_version): Return an array like remote plugin listing

Ticket: #39453

Address review by William

History

#1 - 07/24/2018 01:37 PM - Erin Clark

- Copied from Bug #39448: Display version numbers for Installed Plugins in new UI added

#2 - 07/24/2018 01:37 PM - Erin Clark

- Assignee changed from Lola Yang to Brandon Schneider

10/22/2020 1/3



#3 - 07/24/2018 01:38 PM - Erin Clark

- Copied from deleted (Bug #39448: Display version numbers for Installed Plugins in new UI)

#4 - 07/24/2018 01:38 PM - Erin Clark

- Blocks Bug #39448: Display version numbers for Installed Plugins in new UI added

#5 - 07/24/2018 01:45 PM - Brandon Schneider

- Category changed from GUI (new) to Services

- Assignee changed from Brandon Schneider to Martin Wilke

The port needs a bump, miwi is the man for that

#6 - 07/24/2018 04:16 PM - Dru Lavigne

- Subject changed from Display plugin version number in new UI - middleware to Display plugin version number in Installed Plugins

- Description updated

- Assignee changed from Martin Wilke to Brandon Schneider

- Seen in changed from  11.1-U4 to Master - FreeNAS Nightlies

- Needs QA changed from No to Yes

- Needs Merging changed from No to Yes

#7 - 07/24/2018 04:16 PM - Dru Lavigne

- Subject changed from Display plugin version number in Installed Plugins to Add API to display plugin version number for Installed Plugins

#8 - 07/26/2018 09:16 AM - William Grzybowski

- Category changed from Services to Middleware

#10 - 08/09/2018 04:52 PM - Brandon Schneider

- Status changed from Unscreened to Not Started

#11 - 08/16/2018 04:22 PM - Brandon Schneider

- Status changed from Not Started to In Progress

#12 - 08/16/2018 11:01 PM - Brandon Schneider

PR: https://github.com/freenas/freenas/pull/1699

DESC: Show local plugin pkg versions

RISK: Low

ACCEPTANCE: midclt call jail.list_resource "PLUGIN" will return versions for installed plugins

If INDEX can be read and the pkg has a version:

root@freenas:~ # midclt call jail.list_resource "PLUGIN" 

[[null, "btsync", "on", "down", "pluginv2", "11.2-RELEASE-p2", "DHCP (not running)", null, null, "http://DHCP:

8888/", "2.5.13", "1"]]

Otherwise:

root@freenas:~ # midclt call jail.list_resource "PLUGIN" 

[[null, "btsync", "on", "down", "pluginv2", "11.2-RELEASE-p2", "DHCP (not running)", null, null, "http://DHCP:

8888/", "N/A", "N/A"]]

 

It appends the pkg version and revision fields to the array.
#13 - 08/17/2018 06:20 AM - Bug Clerk

- Status changed from In Progress to Ready for Testing

PR: https://github.com/freenas/freenas/pull/1699

#14 - 08/17/2018 02:33 PM - Dru Lavigne

- Needs Doc changed from Yes to No

- Needs Merging changed from Yes to No

#15 - 08/27/2018 06:17 AM - Dru Lavigne

- Status changed from Ready for Testing to Done

- Needs QA changed from Yes to No
